/*------------------------------------------------------------------------------
-- This file is a part of the QLop Software
-- Copyright (C) 2015, Plasma Physics Laboratory - CNRS
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-------------------------------------------------------------------------------*/
/*-- Author : Alexis Jeandet
-- Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/

#ifndef CASSINITOOLSGUI_H
#define CASSINITOOLSGUI_H

#include <QWidget>
#include <filebrowser.h>

namespace Ui {
class CassiniToolsGUI;
}

class CassiniToolsGUI : public QWidget
{
    Q_OBJECT

public:
    explicit CassiniToolsGUI(QWidget *parent = 0);
    ~CassiniToolsGUI();

protected:
    void changeEvent(QEvent *e);

private slots:
    void addFolderView();
    void plotFile(const QString &File);
private:
    Ui::CassiniToolsGUI *ui;
    QList<FileBrowser*> fileBrowsers;
};

#endif // CASSINITOOLSGUI_H
